Subject: Re: bug#54657: 29.0.50; 100% CPU usage with eww on https://blogsurf.io/

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Apr 2022 20:17:38 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 02 Apr 2022 17:35:03 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Type 'v' to see the page's source, and you will immediately understand
> > why.  99% of that page is a huge JS script that is basically a single
> > humongous line whose length is 12MB.
> 
> eww doesn't render <script> things, so it doesn't matter how long they
> are for eww.  (It does matter for libxml-parse-html-region, but it
> should be able to parse 12MB of <script> in a few milliseconds.)

According to what I see here, libxml-parse-html-region is indeed the
part that takes most of the CPU time, and I measured about 30 sec here
it took it to parse that page.  If you see something very different,
maybe the important factor here is the version of libxml2?